#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <limits.h>
#include "hex.h"

#ifndef O_BINARY
#define O_BINARY	0
#endif

int main(int argc, char *argv[])
{
	int i, fd, size;
	unsigned char buf[0x1000 * 8];
	char path[PATH_MAX];

	for(i = 1; i < argc; i++) {
		if((fd = open(argv[i], O_RDONLY | O_BINARY)) >= 0) {
			size = read(fd, buf, sizeof(buf));
			close(fd);

			sprintf(path, "%s.ihx", argv[i]);
			if(writeHexAbs(path, buf, 0x500, size) > 0)
				printf("%s -> %s OK\n", argv[i], path);
			else
				printf("%s -> %s NG\n", argv[i], path);
		}
	}

	return 0;
}

/* eof */
