;
; VAM (31250bps, f[^rbg8, Xgbvrbg1, peBȂ)
;

.area _CODE

;
; byteM
;
; 
; HL:Mf[^̃AhX
; BC:f[^
;
; o
; HL:̃f[^
; BC:0
; AF,DE:j
;
send_multibyte::
	ld A, B
	or C
	ret Z

	ld A, (HL)
	call send_byte

	inc HL
	dec BC
	jp send_multibyte

;
; 1byteM
;
; 
; A:Mf[^
;
; o
; AF,DE:j
;
send_byte::
	push BC
	push HL

	ld B, #0
	ld DE, #bit_length
	ld HL, #buf

	; X^[grbgobt@ɏ
	or A
	call write_buf_cy

	; f[^rbgobt@ɏ
	call write_buf_a

	; M
	ld HL, #buf
send_byte_loop:
	ld A, (HL)          ; 11 states
	out (#0x18), A      ;  7 states
	inc HL              ;  6 states
	nop                 ;  4 states
	nop                 ;  4 states
	djnz send_byte_loop ; 13 states

	; Xgbvrbg𑗐M
	ld A, #0x03
	out (#0x18), A

	pop HL
	pop BC
	ret

;
; 1byteobt@ɏ (send_bytẻ)
;
; 
; A:ރrbg
; B:ݍς݃obt@
; DE:1rbg̃obt@̃AhX
; HL:obt@̃AhX
;
; o
; A:EɃVtg
; B:ݍς݃obt@
; DE:1rbg̃obt@̃AhX
; HL:̃obt@̃AhX
; F,C:j
;
write_buf_a:
	call write_buf_a4
write_buf_a4:
	call write_buf_a2
write_buf_a2:
	call write_buf_a1
write_buf_a1:
	rrca

;
; 1bitobt@ɏ (send_byte, write_buf_ả)
;
; 
; Cy:ON, NC:OFF
; B:ݍς݃obt@
; DE:1rbg̃obt@̃AhX
; HL:obt@̃AhX
;
; o
; B:ݍς݃obt@
; DE:1rbg̃obt@̃AhX
; HL:̃obt@̃AhX
; C:j
;
write_buf_cy:
	push AF
	ld C, B

	; rbg̑MԂ𓾂
	push AF
	ld A, (DE)
	inc DE
	ld B, A
	add C
	ld C, A
	pop AF

	; Mf[^𓾂
	ld A, #0x83
	jp NC, write_buf_skip
	ld A, #0x03
write_buf_skip:

	; obt@ɏ
write_buf_loop:
	ld (HL), A
	inc HL
	djnz write_buf_loop

	ld B, C
	pop AF
	ret

;
; Mp[^𒲐
;
; 
; Ȃ
;
; o
; AF,BC,DE,HL:j
;
adjust::
	; 
	call init_serial

	; CS/RSONɂ
	ld A, #0x03
	out (#0x18), A

	; X^[grbg҂
	ld HL, #buf
	ld BC, #0x0004
adjust_loop_on:
	in A, (#0x1f)
	ld (HL), A
	and C
	jp Z, adjust_loop_on
	inc HL

	; M
adjust_loop_receive:
	in A, (#0x1f)            ; 11 states
	ld (HL), A               ;  7 states
	inc HL                   ;  6 states
	djnz adjust_loop_receive ; 13 states

	; erbg̒𓾂
	ld DE, #bit_length
	ld HL, #buf
	call get_bit_length

	; 10bit̒ۑ
	ld (#bit10_length), A

;
; VAʐMI
;
; 
; Ȃ
;
; o
; AF:j
;
term_serial::
	; CS/RSOFFɂ
	xor A
	out (#0x18), A

	; 荞݂
	ld A, #0x0f
	out (#0x17), A
	ret

;
; VAʐM
;
; 
; Ȃ
;
; o
; AF:j
;
init_serial::
	; 荞݂֎~
	xor A
	out (#0x17), A

	; Xin͂\ɂ
	ld A, #0x80
	out (#0x15), A
	ret

;
; erbg̑MԂ𓾂 (adjust̉)
;
; 
; DE:erbg̑MԂ̃AhX
; HL:obt@̃AhX
;
; o
; A:10bitMJEg
; F,BC,DE,HL:j
;
get_bit_length:
	ld C, #0
	call get_bit_length2
get_bit_length8:
	call get_bit_length4
get_bit_length4:
	call get_bit_length2
get_bit_length2:
	call get_bit_length1
get_bit_length1:
	ld B, #0
	ld A, (HL)
get_bit_length1_loop:
	inc B
	inc C
	inc HL
	cp (HL)
	jr Z, get_bit_length1_loop

	ld A, B
	ld (DE), A
	inc DE
	ld A, C
	ret

;
; ҂ 
;
; 
; BC:҂
; DE:҂(JEg)
;
; o
; AF,BC:j
;
wait_count::
wait_count_loop2:
	push DE
wait_count_loop:
	in A, (#0x1f)          ; 11 states
	nop                    ;  4 states
	nop                    ;  4 states
	dec DE                 ;  6 states
	ld A, D                ;  4 states
	or E                   ;  4 states
	jr NZ, wait_count_loop ; 12 states
	pop DE
	dec BC
	ld A, B
	or C
	jp NZ, wait_count_loop2
	ret

;
; f[^
;
; ebit̑M
bit_length::
	.db 5, 6, 5, 6, 5, 6, 6, 6, 5, 6

; 10bit̒
bit10_length::
	.db 56
	.db 0

.area _DATA

buf:
	.ds 128

; eof
